# Class StateChange

java.lang.Object
org.mariadb.jdbc.internal.util.constant.StateChange

public class StateChange extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final short`
`SESSION_TRACK_GTIDS`
`static final short`
`SESSION_TRACK_SCHEMA`
`static final short`
`SESSION_TRACK_STATE_CHANGE`
`static final short`
`SESSION_TRACK_SYSTEM_VARIABLES`
`static final short`
`SESSION_TRACK_TRANSACTION_CHARACTERISTICS`
`static final short`
`SESSION_TRACK_TRANSACTION_STATE`

## Constructor Summary

Constructors
Constructor
Description
`StateChange()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SESSION_TRACK_SYSTEM_VARIABLES

public static final short SESSION_TRACK_SYSTEM_VARIABLES

See Also:
  - Constant Field Values

### SESSION_TRACK_SCHEMA

public static final short SESSION_TRACK_SCHEMA

See Also:
  - Constant Field Values

### SESSION_TRACK_STATE_CHANGE

public static final short SESSION_TRACK_STATE_CHANGE

See Also:
  - Constant Field Values

### SESSION_TRACK_GTIDS

public static final short SESSION_TRACK_GTIDS

See Also:
  - Constant Field Values

### SESSION_TRACK_TRANSACTION_CHARACTERISTICS

public static final short SESSION_TRACK_TRANSACTION_CHARACTERISTICS

See Also:
  - Constant Field Values

### SESSION_TRACK_TRANSACTION_STATE

public static final short SESSION_TRACK_TRANSACTION_STATE

See Also:
  - Constant Field Values

## Constructor Details

### StateChange

public StateChange()